Software

Marvel’s Avengers is not compatible on PS4 and PS5 after 1.30 update

The latest 1.30 update for Marvel’s Avengers was supposed to improve game performance but caused problems for PlayStation 4 and PlayStation 5 owners.

“Join our channel on Telegram”

For many, the game freezes every time they try to start or continue the campaign (save loading does not occur). Consoles display errors CE-34878-0 and CE-108255-1.

The developers have already tweeted that they are investigating the issue and will soon release a fix. It is hoped that the update did not break the save, as this will surely be the biggest blow for the fans of the game.

Click to comment

Leave a Reply

Your email address will not be published.

The Latest

To Top